### Class

# WPEPlatform KeymapXKB

#### Description

    final class WPEPlatform.KeymapXKB : WPEPlatform.Keymap
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEKeymap
- GObject

#### Constructors

###### wpe_keymap_xkb_new

Create a new `WPEKeymapXKB`.

#### Instance methods

###### wpe_keymap_xkb_get_xkb_keymap

Get the `xkb_keymap` of `keymap`.

###### wpe_keymap_xkb_get_xkb_state

Get the `xkb_state` of `keymap`.

###### wpe_keymap_xkb_update

Update `keymap` from the map at `fd` with `format`.

##### Methods inherited from WPEKeymap (3)

###### wpe_keymap_get_entries_for_keyval

No description available.

###### wpe_keymap_get_modifiers

Get the modifiers state of `keymap`.

###### wpe_keymap_translate_keyboard_state

Translate `keycode`, `modifiers` and `group` into a keyval, effective group and level. Modifiers that affected the translation are returned in `consumed_modifiers`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformKeymapXKBClass {
      WPEKeymapClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEKeymapClass`

  No description available.